library(dplyr)
library(ggplot2)
phab_data_path <- "/mmfs1/gscratch/comdata/users/mjilg/mw-repo-lifecycles/0205_convo_data/phab_data/visualeditor/0205_ve_phab_comments.csv"
phab_data <- read.csv(phab_data_path, header=TRUE)

phab_data <- phab_data |>
  mutate(has_ref = grepl("bots", comment_text)) |>
  mutate(timestamp = as.POSIXct(date_created, origin = "1970-01-01", tz = "UTC")) |>
  filter(date_created < 1518232866 & date_created > 1356923678)


g <- ggplot(phab_data, aes(x=timestamp, y=has_ref)) +
  geom_point(alpha = 0.5) + 
  theme_minimal()
g
